Append a Sync List item
curl --request POST \
--url https://api.orbit.devotel.io/api/v1/sync/lists/{name}/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"data": {}
}'import requests
url = "https://api.orbit.devotel.io/api/v1/sync/lists/{name}/items"
payload = { "data": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {}})
};
fetch('https://api.orbit.devotel.io/api/v1/sync/lists/{name}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"index": 123,
"data": {},
"revision": 123,
"date_updated": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}Sync
Append a Sync List item
Append a JSON data object to the end of a Sync List, returning the new item’s index and emitting a list.item.added change event. Requires an operator role.
POST
/
api
/
v1
/
sync
/
lists
/
{name}
/
items
Append a Sync List item
Authorizations
BearerApiKey
Dashboard JWT token from Clerk
Path Parameters
Unique name of the Sync List.
Pattern:
^[A-Za-z0-9._:-]+$Body
application/json
Write body for appending/replacing a Sync List item or publishing a Sync Stream message.
Arbitrary JSON object payload carried by a Sync object or item. Every Sync value is a JSON map (matching Twilio Sync). The serialised payload must not exceed 64 KiB.
⌘I